Subject: bug#25831: closed (Re: bug#25831: Expose http_proxy setting on GuixSD)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Feb 2017 20:27:02 +0000

Your bug report

#25831: Expose http_proxy setting on GuixSD

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25831: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25831
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25831: Expose http_proxy setting on GuixSD
From: Leo Famulari <[email-masked]>
To: Mathieu Lirzin <[email-masked]>
Cc: ng0 <[email-masked]>, [email-masked]
Date: Wed, 22 Feb 2017 15:26:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Feb 22, 2017 at 09:15:12PM +0100, Mathieu Lirzin wrote:
> Leo Famulari <[email-masked]> writes:
> > +                (list (string-append "PATH=" #$lsof "/bin")
> > +                      #$@(if http-proxy
> > +                           (list (string-append "http_proxy=" http-proxy))
> > +                           '()))
>                             ^^
>                             missin two spaces in THEN and ELSE part ;)

I'm still learning what looks right :)

> Otherwise, LGTM.

Thanks for your advice and review!

I pushed the change as 93d32da9f8bba815b1effe6358904b5e1f9c73ff.

Subject: Expose http_proxy setting on GuixSD
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: ng0 <[email-masked]>
Date: Tue, 21 Feb 2017 12:19:12 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

----- Forwarded message from ng0 <[email-masked]> -----

Date: Tue, 21 Feb 2017 09:43:35 +0000
From: ng0 <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Subject: Re: Proxy documentation is not clear

On 17-02-20 22:32:40, Leo Famulari wrote:
> On Sun, Feb 19, 2017 at 05:06:23PM +0000, ng0 wrote:
> > Substitutes are downloaded over HTTP or HTTPS. The http_proxy
> > environment variable can be set in the environment of guix-daemon and
> > is honored for downloads of substitutes. Note that the value of
> > http_proxy in the environment where guix build, guix package, and
> > other client commands are run has absolutely no effect. 
> > 
> > None of these pages provides any example or further explanation on how
> > this could be achieved, for example to make Guix use a socks5 proxy
> > systemwide. I know how this can be achieved with iptables etc, but it
> > would be better if the documentation is fixed. I have no idea how in
> > this case as the documentation is not clear.
> 
> It depends on how you start the daemon. For systemd, you can set the
> environment variable from the service file. I'm not sure how to pass
> this variable to the daemon on GuixSD.

Exactly, for systemd I would have been able to find it out, but I wonder
how to achieve this in GuixSD. 

----- End forwarded message -----